#!/usr/bin/python3

#
# chhoyhopper
#
# Copyright (C) 2021 by University of Southern California
# Written by ASM Rizvi<asmrizvi@usc.edu>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#

from setuptools import setup, find_packages
import pathlib

here = pathlib.Path(__file__).parent.resolve()

long_description = (here / 'README.md').read_text(encoding='utf-8')


setup(
    name='chhoyhopper-server',
    version='1.3',
    description='Implement a moving target defense, where the server IPv6 address changes over time',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='ASM Rizvi',
    author_email='asmrizvi@usc.edu',

    package_dir={'': 'src'},  # Optional
    packages=find_packages(where='src'),  # Required

    python_requires='>=3.6, <4',

    install_requires=['dnspython3'],
    scripts=['src/server/chhoyhopper-server', 'src/client/chhoyhopper-client'], # both client and server
)
